<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <div id="app">
        <h3>{{nombre}}</h3>
        <h3>{{cursos}}</h3>
        <h3>{{estado}}</h3>
        <input type="text" v-model="nombre">

    </div>
    
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
        const app = new Vue({
            el:"#app",
            data: {
                nombre: "VueJs",
                cursos: 5,
                estado: false,

            },
            beforeCreate(){
                alert('Antes de crear el componente '  + this.nombre)
            },
            created(){
                alert('Depues de crear el componente '  + this.nombre)
            },
            beforeMount(){
                alert('Justo antes de añadir al dom '  + this.nombre)
            },
            mounted(){
                alert('Despues de añadir el DOM '  + this.nombre)
            },
            beforeUpdate(){
                alert('objeto data cambió '  + this.nombre)
            },
            updated(){
                alert('Despues de actualizar objeto data en el DOM' + this.nombre)
            }
           

        })
    </script>
</body>
</html>